/* SofChat (Web Chat program SHM version)      */
/* Copyright(c) 1996-1999 Y.YONEYAMA           */
/*                                             */
/* config.h                                    */

#ifndef _CONFIG_H_
#define _CONFIG_H_

#define DEFAULT_BG    "white"
#define DEFAULT_TX    "black"
#define DEFAULT_LI    ""
#define DEFAULT_VL    ""
#define DEFAULT_AL    ""
#define DEFAULT_DN    "red"
#define DEFAULT_DT    "gray"

/* #define ALWAYS_EXPORT */

#ifndef DEFAULT_METHOD
/*#define DEFAULT_METHOD "GET"*/
#define DEFAULT_METHOD "POST"
#endif


#ifndef DEFAULT_PERMIT
/*#define DEFAULT_PERMIT 1*/
#define DEFAULT_PERMIT 0
#endif
#define MAX_PERMIT 3


/*** TIME ADJUST ***/

/* localtime */
#define SHIFT_TIME      0
#define TZ_STRING      ""

/* eg. localtime + 14*3600sec. */
/*
#define SHIFT_TIME  14*3600
#define TZ_STRING    " JST"
*/


#define COOKIE

#ifndef WIN32
#define USE_SEM
/* SUNOS ? */
/* #define DEF_SEMUN */
#endif /* WIN32 */

/* #define TEXT_HR */


/* supports imode */
#define IMODE

#ifdef IMODE
#define IMODE_FONT_PATH "http://sofchat.net/i/"
#define isimodeemoji(x, y) ((((x) == 0xf9) && (((y) >= 0x40) && ((y) <= 0xb0))) || (((x) == 0xf8) && ((((y) >= 0x40) && ((y) <= 0x4f)) || (((y) >= 0x9e) && ((y) <= 0xe4)) || (((y) >= 0xf3) && ((y) <= 0xff)))))
#endif /* IMODE */

#endif /* _CONFIG_H_ */
